import * as azure from "@pulumi/azure";
import * as pulumi from "@pulumi/pulumi";
import * as azurefunctions from "azure-functions-ts-essentials";
export declare type Context = azurefunctions.Context;
export declare type HttpRequest = azurefunctions.HttpRequest;
export * from "azure-functions-ts-essentials";
export declare type AzureFunctionHandler = (context: Context, request: HttpRequest) => void;
export declare class HttpFunction extends pulumi.ComponentResource {
    readonly resourceGroup: azure.core.ResourceGroup;
    readonly storageAccount: azure.storage.Account;
    readonly storageContainer: azure.storage.Container;
    readonly blob: azure.storage.ZipBlob;
    readonly appServicePlan: azure.appservice.Plan;
    readonly functionApp: azure.appservice.FunctionApp;
    readonly codeBlobUrl: pulumi.Output<string>;
    readonly endpoint: pulumi.Output<string>;
    constructor(name: string, handler: AzureFunctionHandler, options?: pulumi.ResourceOptions);
}
